ltximg(1)

NAME
ltximg - LaTeX environments to image and standalone files

SYNOPSIS
ltximg [<options>] [--] <filename>.<tex|ltx>

DESCRIPTION
ltximg automates the process of extracting and converting environments from LaTeX file to image formats and standalone files using ghostscript and poppler-utils. Generates a one file with only extracted environments and other with all extracted environments converted to "\includegraphics".

By default the extracted environments are:

preview pspicture tikzpicture pgfpicture psgraph postscript PSTexample

OPTIONS
Options that accept a value require either a blank space or "=" between the option and the value. Multiple short options can be bundling and if the last option takes a comma separated list you need "--" at the end. Relative or absolute paths for directories and files is not supported.

If used without [<options>] the extracted environments are converted to pdf image format and saved in "./images" directory using "pdflatex" and preview package for process.

General script options:

-h, --help
    Display command line help and exit.

-v, --version
    Display current version and exit.

-V, --verbose
    Verbose printing information.

-l, --log
    Write ".log" file with debug information.

-t, --tif
    Create ".tif" files using ghostscript.

-b, --bmp
    Create ".bmp" files using ghostscript.

-j, --jpg
    Create ".jpg" files using ghostscript.

-p, --png
    Create ".png" files using ghostscript.

-e, --eps
    Create ".eps" files using pdftops.

-s, --svg
    Create ".svg" files using pdftocairo.

-P, --ppm
    Create ".ppm" files using pdftoppm.

-g, --gray
    Gray scale for images using ghostscript.

-f, --force
    Capture "\psset" and "\tikzset" to extract.

-n, --noprew
    Create images files without preview package.

-r integer, --runs=integer
    Set the number of times the compiler will run on the input file for environment extraction (default: 1).

-d integer, --dpi=integer
    Dots per inch resolution for images (default: 150).

-m integer, --margins=integer
    Set margins in bp for pdfcrop (default: 0).

-o filename, --output=filename
    Create output file.

--imgdir=dirname
    Set name of directory to save images and files (default: images).

--prefix=string
    Set prefix append to each generated files (default: fig).

--myverb=macroname
    Add "\macroname" to verbatim inline search (default: myverb).

--clean=doc|pst|tkz|all|off
    Removes specific block text in output file (default: doc).

--zip
    Compress files generated in ".zip" format.

--tar
    Compress files generated in ".tar.gz" format.

--srcenv
    Create files with only code of environments.

--subenv
    Create standalone files for environments.

--shell
    Enable "\write18{SHELL COMMAND}".

--latex
    Using "latex>dvips>ps2pdf" for compiler input and "pdflatex" for compiler output.

--dvips
    Using "latex>dvips>ps2pdf" for compiler input and "latex>dvips>ps2pdf" for compiler output.

--dvilua
    Using "dvilualatex>dvips>ps2pdf" for compiler input and "lualatex" for compiler output.

--dvipdf
    Using "latex>dvipdfmx" for compiler input and "latex>dvipdfmx" for compiler output.

--xetex
    Using "xelatex" for compiler input and output.

--luatex
    Using "lualatex" for compiler input and output.

--arara
    Use "arara" for compiler input and output.

--latexmk
    Using "latexmk" for compiler output file.

--norun
    Run script, but no create images files.

--nopdf
    Don't create a ".pdf" image files.

--nocrop
    Don't run pdfcrop.

--extrenv=env1,env2,...
    Add new environments to extract.

--skipenv=env1,env2,...
    Skip some default environments to extract.

--verbenv=env1,env2,...
    Add new verbatim environments.

--writenv=env1,env2,...
    Add new verbatim write environments.

--deltenv=env1,env2,...
    Delete environments in output file.

EXAMPLE
ltximg --latex -e -p --subenv -o test-out.ltx test-in.ltx

Create a "./images" directory (if it doesn't exist) with all extracted environments converted to ".pdf", ".eps", ".png" and standalone files, a file test-in-fig-all.ltx with all extracted environments and the file test-out.ltx with all environments converted to "\includegraphics" using "latex>dvips>ps2pdf" and preview package for test-in.ltx and "pdflatex" for test-out.ltx.

DOCUMENTATION
For full documentation use:

texdoc ltximg

ISSUES AND REPORTS
Repository : <https://github.com/pablgonz/ltximg>

Bug tracker: <https://github.com/pablgonz/ltximg/issues>

AUTHOR
Pablo González Luengo, pablgonz@yahoo.com.

COPYRIGHT AND LICENSE
Copyright 2013-2021 Pablo González, pablgonz@yahoo.com.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
gs(1), dvips(1), ps2pdf(1), pdfcrop(1), pdftops(1), pdftocairo(1), pdftoppm(1)